Search Results for

Show / Hide Table of Contents

# Struct AdUnitData

Top-level object to build native ad request (aka INativeAdLoader) from. Describes both WHAT and WHERE to request.

##### Inherited Members

ValueType.Equals(object)
ValueType.GetHashCode()
ValueType.ToString()
object.Equals(object, object)
object.GetType()
object.ReferenceEquals(object, object)

###### Namespace: AppstockSDK.Api.Native.Data.Request

###### Assembly: Appstock.Core.dll

##### Syntax

    [Serializable]
    public struct AdUnitData

### Fields

#### endpointID

Sets the endpoint ID for the ad.

##### Declaration

    [Tooltip("Unique endpoint identifier generated on the Appstock platform’s UI.")]
    public string? endpointID

##### Field Value

Type | Description
--- | ---
string | Unique endpoint identifier generated on the Appstock platform’s UI.

#### parameters

Gets or sets ad parameters.

##### Declaration

    public Parameters parameters

##### Field Value

Type | Description
--- | ---
Parameters | Native ad content parameters.

#### placementID

Sets the placement ID for the ad.

##### Declaration

    [Tooltip("Unique placement identifier generated on the Appstock platform’s UI.")]
    public string? placementID

##### Field Value

Type | Description
--- | ---
string | Unique placement identifier generated on the Appstock platform’s UI.

### Properties

#### Warnings

Gets the warnings for current state.

##### Declaration

    public readonly IEnumerable<string> Warnings { get; }

##### Property Value

Type | Description
--- | ---
IEnumerable<string> | Warnings for unpopulated or conflicting values inside.